<div class="row">
  <div class="col-md-12">
    <alert type="info">
      Wähle einen oder mehrere Benutzer als Mailempfänger aus. Du kannst über die "Mailverteiler"-Funktion automatisch die
      gewünschte Zielgruppe auswählen lassen.
    </alert>
  </div>
</div>
<div class="row mt-3">
  <div class="col-md-6">
    <form #f="ngForm">
      <div class="form-group">
        <label for="groupSelectInput">Mailverteiler</label>
        <select class="custom-select form-control"
                id="groupSelectInput" name="groupSelectInput"
                [(ngModel)]="selectedCategory"
                (ngModelChange)="groupChanged($event)"
        >
          <option ngValue="organizations">Verein</option>
          <option ngValue="ensembles">Ensemble</option>
          <option ngValue="groups">Gruppe</option>
          <option ngValue="registers">Register</option>
          <option ngValue="projects">Projekt</option>
          <option ngValue="eventgroups">Probenphase</option>
          <option ngValue="events">Termin</option>
        </select>
      </div>
      <div class="form-group"  *ngIf="selectedCategory.includes('project') || selectedCategory.includes('eventgroup') || selectedCategory.includes('events')">
        <label for="eventConfigInput">Anmeldestatus</label>
        <select class="custom-select form-control"
                id="eventConfigInput" name="eventConfigInput"
                [(ngModel)]="selectedEventConfig"
                (ngModelChange)="announcementStatusChanged($event)"
        >
          <option ngValue="announced" selected>Angemeldet</option>
          <option ngValue="unannounced">Abgemeldet</option>
          <option ngValue="noresponse">Ohne Rückmeldung</option>
        </select>
      </div>
      <div class="form-group" *ngIf="selectedCategory != ''">
        <label for="recipientInput">Nutzer auswählen aus</label>
        <select class="form-control" multiple
                id="recipientInput" size="5" name="recipientInput"
                [(ngModel)]="selectedGroup"
                (ngModelChange)="changeRecipient($event)">
          <ng-container *ngFor="let group of recipientGroup">
            <ng-container [ngSwitch]="selectedCategory">
              <option *ngSwitchCase="'organizations'" [ngValue]="group.organizationUsers">{{group.name}}</option>
              <option *ngSwitchCase="'ensembles'" [ngValue]="group.ensembleUsers">{{group.name}}</option>
              <option *ngSwitchCase="'projects'" [ngValue]="group">{{group.name}}</option>
              <option *ngSwitchCase="'eventgroups'" [ngValue]="group">{{group.title}}</option>
              <option *ngSwitchCase="'events'" [ngValue]="group">{{group.title}} ({{group.start | date:'short'}})</option>
              <option *ngSwitchDefault [ngValue]="group.users">{{group.name}}</option>
            </ng-container>
          </ng-container>
        </select>
      </div>
    </form>
    <small class="text-muted">Um mehrere zu markieren STRG/command gedrückt halten</small>
  </div>
  <div class="col-md-6" *ngIf="users && users.length > 0">
    <h5>Empfänger</h5>
    <div class="form-check" *ngFor="let user of users">
      <input class="form-check-input" type="checkbox" [(ngModel)]="user.checked" id="check{{user.id}}" (ngModelChange)="userSelected(user)">
      <label class="form-check-label" for="check{{user.id}}"> {{user.lastName}}, {{user.firstName}}</label>
    </div>
  </div>
</div>
